Subject: Re: [PATCH] docs: fix check-docs with WITH_BREAKING_CHANGES

From: Junio C Hamano <[email-masked]>
Date: Fri, 07 Mar 2025 11:55:08 -0800

Phillip Wood <[email-masked]> writes:

> I also noticed that while we store the correct value for
> WITH_BREAKING_CHANGES in GIT-BUILD-OPTIONS it is not defined when
> building the C sources and so we still build the pack-redundant builtin.
>
> The diff below stops us from building pack-redundant with
> -Dbreaking_changes=true but still builds the documentation. I don't intend
> spending any more time one this

Thanks.

I am afraid that Patrick's plate may already be full, but I am
hoping that there are others who are interested in getting the meson
build support into a usable shape.  Any takers?